com.r3corda.node.services.messaging / RPCReturnsObservables

# RPCReturnsObservables

`@Target([AnnotationTarget.FUNCTION]) annotation class RPCReturnsObservables`

If an RPC is tagged with this annotation it may return one or more observables anywhere in its response graph. Calling such a method comes with consequences: its slower, and consumes server side resources as observations will buffer up on the server until theyre consumed by the client.

### Constructors

<init> | `RPCReturnsObservables()` If an RPC is tagged with this annotation it may return one or more observables anywhere in its response graph. Calling such a method comes with consequences: its slower, and consumes server side resources as observations will buffer up on the server until theyre consumed by the client.